# Function getArcadeExpressionFromField

- getArcadeExpressionFromField(fieldWithExpression): string | undefined

- Retrieves the expression name from the given field string if an expression exists.

  #### Parameters

  - fieldWithExpression: string

    The field string that possibly contains the expression.

  #### Returns string | undefined

  The name of the expression or undefined if one can't be found.